petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexEqual

Determine if two DMs have the same topology

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexEqual(DM dmA, DM dmB, PetscBool *equal)

Not Collective

### Input Parameters

| dmA | - A DMPlex object
| dmB | - A DMPlex object

### Output Parameters

equal -PETSC_TRUE if the topologies are identical

### Notes

We are not solving graph isomorphism, so we do not permutation.

### See Also

DMPlexGetCone()

### Level

intermediate

### Location

src/dm/impls/plex/plex.c

### Examples

src/dm/impls/plex/examples/tutorials/ex5.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages